function flNuevo(){
	SM("L");
}
//+++++
function fGuardar(){
	var emp=gv("Emp");
	var tie=gv("Tie");
	var com=gv("Com");
	var ser=gv("Ser");	
	var fec=gv("Fec");	
	var tot=gv("Tot");	
	var win=gv("Min");	
	var wax=gv("Max");	
	var tdc=gv("Tdc");	
	var ndi=gv("Ndi");
	//
	if(jVac(emp,"Seleccione una empresa","Emp"))return;
	if(jVac(tie,"Seleccione una tienda","Tie"))return;
	if(jVac(com,"Seleccione una comprobante","Com"))return;	
	if(jVac(ser,"Ingrese una serie","Ser"))return;	
	if(jVac(fec,"Ingrese una fecha","Fec"))return;	
	if(EsFecha(fec)==false){
		alert("Fecha no valida " );
		return;
	}
	if(jVac(tot,"Ingrese el total a generar","Tot"))return;	
	if(jVac(win,"Ingrese el momto minimo a generar","Min"))return;	
	if(jVac(wax,"Ingrese el momto maximo a generar","Max"))return;	
	if(jVac(tdc,"Seleccion el tipo de cliente","Tdc"))return;	
	if(tdc=="ESPECIFICO"){
		if(jL(ndi)==0){
			return AF("Ingrese el numero de ruc o dni","Ndi");
		}
		if(jL(ndi)==8 || jL(dni)==11){
		}else{
			return AF("Ingrese el numero de ruc o dni","Ndi");
		}
	}
	//
	if(jVal(tot)<=0){
		return AF("El monto total a generar debe ser mayor a cero","Tot");
	}
	if(jVal(win)<=0){
		return AF("El monto minimo debe ser mayor a cero","Min");
	}
	if(jVal(wax)<=0){
		return AF("El monto maximo debe ser mayor a cero","Max");
	}
	if(jVal(win)>jVal(wax)){
		return AF("El monto maximo debe ser mayor al monto minimo","Max");
	}
	if(jVal(wax)>jVal(tot)){
		return AF("El monto maximo igual o menor al total a generar","Max");
	}
	//
	if(tdc=="ESPECIFICO"){
		if(jL(ndi)==0){
			return AF("Ingrese el dni o ruc segun el tipo de comprobante","Ndi");
		}
		if(com=="BOLETA" || com=="BOL. ELEC."){
			if(jL(ndi)!=8){
				return AF("El numero de dni debe tener 8 digitos","Ndi");
			}
		}
		if(com=="FACTURA" || com=="FACT. ELEC."){
			if(jL(ndi)!=11){
				return AF("El numero de ruc debe tener 11 digitos","Ndi");
			}
		}
	}else{
		if(jL(ndi)>0){
			return AF("El campo DNI / RUC debe estar vacio","Ndi");
		}
	}
	//
	if(gv("CmdG")=="Guardar"){
		if(pre("Esta seguro que desea guardar")){
			SM("G");
		}
	}else{
		if(pre("Esta seguro que desea modificar")){
			SM("M");
		}
	}
}
